Cannot remove expression fields (crash)

2014-09-09 05:00 AM - Martin Dobias

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19482

Description

After having added an expression field to a vector layer, I am unable to remove it. Clicking "delete column" crashes QGIS because it is

trying to remove a field from edit buffer which does not exist.

Also, would it be possible to update the GUI somehow so that users do not need to enter editing mode in order to add expression field? It

is not bound to the editing mode anyway...

Associated revisions

Revision bed164e7 - 2014-10-06 10:25 AM - Matthias Kuhn

Allow usage of virtual fields also for layer w/o add attribute support

Fix #11168

History

#1 - 2014-09-09 05:15 AM - Matthias Kuhn

- Status changed from Open to Feedback

Hi Martin,

The following pull request solves the issue here as well as it integrates it with editing mode/undo (waiting for your review for the second part).

https://github.com/qgis/QGIS/pull/1515

#2 - 2014-09-09 05:21 AM - Martin Dobias

Oh... what a coincidence :-)

Sorry - I am sometimes a bit loosing track of the pull requests... I will try to have a look at it this week.

#3 - 2014-10-03 05:09 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2014-10-06 01:25 AM - Matthias Kuhn

- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/1515


Fixed in changeset commit:"bed164e70c4405de7f6b729159b476244835c15f".
